// speakerphone.cpp : Defines the entry point for the application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>


// Global Variables:
HINSTANCE			g_hInst;			// current instance

typedef enum
{
    SPEAKER_NORMAL,
    SPEAKER_SPEAKERPHONE,
	EMPTY
} SPEAKERSWITCH;

SPEAKERSWITCH sm;

typedef long (* _GetSpeakerMode)(SPEAKERSWITCH *pmode);
typedef long (* _SetSpeakerMode)(SPEAKERSWITCH mode);
_GetSpeakerMode pfnGetSpeakerMode;
_SetSpeakerMode pfnSetSpeakerMode;

int WINAPI WinMain(HINSTANCE hInstance,
                   HINSTANCE hPrevInstance,
                   LPTSTR    lpCmdLine,
                   int       nCmdShow)
{
	_debug(L"speakerphone2005 app entry point");
	HINSTANCE hDll;
	SPEAKERSWITCH sm;

	hDll = LoadLibrary(L"\\windows\\ossvcs.dll");
	_debug(L"ossvcs.dll h=%X",hDll);
    pfnGetSpeakerMode = (_GetSpeakerMode)GetProcAddress(hDll,(LPCTSTR)217);
	if (pfnGetSpeakerMode)
	{
		_debug(L"pfnGetSpeakerMode imported.");
		pfnGetSpeakerMode(&sm);
		_debug(L"SpeakerMode: %d", sm);
	}
	else
		_debug(L"pfnGetSpeakerMode import failed.");
	pfnSetSpeakerMode = (_SetSpeakerMode)GetProcAddress(hDll,(LPCTSTR)218);
	if (pfnSetSpeakerMode)
	{
		_debug(L"pfnSetSpeakerMode imported.");
		sm = SPEAKER_SPEAKERPHONE;
		_debug(L"SpeakerMode set to %d", sm);
		pfnSetSpeakerMode(sm);
	}
	else
		_debug(L"pfnSetSpeakerMode import failed.");
	FreeLibrary(hDll);
	return 0;
}
